
Imports DevExpress.Xpo

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class OperationalLogDocuments
    Inherits FileAttachmentBase
    Private _OperationalLog As OperationalLog
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("OperationalLog-OperationalLogDocuments", GetType(OperationalLog))>
    Property OperationalLog As OperationalLog
        Get
            Return _OperationalLog
        End Get
        Set(value As OperationalLog)
            SetPropertyValue("OperationalLog", _OperationalLog, value)
        End Set
    End Property
End Class
